FLAIM: CORRUPT_INFO Struct Reference

- Main Page
- Modules
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CORRUPT_INFO Struct Reference

Structure containing information about a specific corruption that is being reported by FlmDbCheck(). More...

`#include <flaim.h>`

List of all members.

## Public Attributes
eCorruptionType | eCorruption
| Type of corruption being reported.
eCorruptionLocale | eErrLocale
| Location of the corruption in the database.
FLMUINT | uiErrLfNumber
| If eErrLocale is eCorruptionLocale::LOCALE_B_TREE or eCorruptionLocale::LOCALE_IXD_TBL or eCorruptionLocale::LOCALE_INDEX this will contain the index or container number.
FLMUINT | uiErrLfType
| If eErrLocale is eCorruptionLocale::LOCALE_B_TREE, this will contain either LF_INDEX or LF_CONTAINER.
FLMUINT | uiErrBTreeLevel
| If eErrLocale is eCorruptionLocale::LOCALE_B_TREE, this will contain the level in the b-tree where the corruption was found. A value of 0xFF means that the b-tree level is unknown.
FLMUINT | uiErrBlkAddress
| If non-zero, this contains the address of the block where the corruption was found.
FLMUINT | uiErrParentBlkAddress
| If non-zero, this contains the address of the parent block of the block where the corruption was found. NOTE: This will only be set when eErrLocale is eCorruptionLocale::LOCALE_B_TREE.
FLMUINT | uiErrElmOffset
| If non-zero, this is the offset of the element within the block where the corruption was found. NOTE: This will only be set when eErrLocale is eCorruptionLocale::LOCALE_B_TREE.
FLMUINT | uiErrDrn
| If non-zero, this is the DRN of the record where the corruption was found. NOTE: It may also be set to indicate a reference from an index if the corruption is in an index.
FLMUINT | uiErrElmRecOffset
| If non-zero, this is the offset within the "record" part of the element where the corruption was found. NOTE: This will only be set when eErrLocale is eCorruptionLocale::LOCALE_B_TREE.
FLMUINT | uiErrFieldNum
| If non-zero, this is the field number where the corruption was found.
const FLMBYTE * | pBlk
| If non-NULL, this is a pointer to block where corruption was found.
FlmRecord * | pErrIxKey
| If non-NULL, this will contain a pointer to the key from an index for an index logical corruption. NOTE: This will only be set when eErrLocale is eCorruptionLocale::LOCALE_INDEX.
FlmRecord * | pErrRecord
| If non-NULL, this will contain a pointer to the record involved in an index logical corruption. NOTE: This will only be set when eErrLocale is eCorruptionLocale::LOCALE_INDEX.
REC_KEY * | pErrRecordKeyList
| If non-NULL, this will contain a pointer to a linked list of keys from the record that was involved in an index logical corruption. NOTE: This will only be set when eErrLocale is eCorruptionLocale::LOCALE_INDEX.

## Detailed Description

Structure containing information about a specific corruption that is being reported by FlmDbCheck().

This structure is passed to the callback function when eStatusType::FLM_PROBLEM_STATUS status is reported.